unit Einstellungen;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Spin;

type
  TOptionen = class(TForm)
    LabelBA: TLabel;
    SpinEditBA: TSpinEdit;
    LabelBR: TLabel;
    SpinEditBR: TSpinEdit;
    KugelSound: TCheckBox;
    BandeSound: TCheckBox;
    procedure KugelSoundClick(Sender: TObject);
    procedure BandeSoundClick(Sender: TObject);
    procedure SpinEditBRChange(Sender: TObject);
    procedure SpinEditBAChange(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Optionen: TOptionen;

implementation

{$R *.dfm}

 uses Billiard;

 procedure TOptionen.KugelSoundClick(Sender: TObject);
  begin
   Billiard.KugelTonAn:=KugelSound.Checked;
  end;

 procedure TOptionen.BandeSoundClick(Sender: TObject);
  begin
   Billiard.BandeTonAn:=BandeSound.Checked;
  end;

 procedure TOptionen.SpinEditBAChange(Sender: TObject);
  begin
   if SpinEditBA.Text='' then SpinEditBA.Value:=2;
   Billiard.Spielfeld.BeginnClick(Self);
  end;

 procedure TOptionen.SpinEditBRChange(Sender: TObject);
  begin
   if SpinEditBR.Text='' then SpinEditBR.Value:=20;
   Billiard.Spielfeld.BeginnClick(Self);
  end;

end.
